"Label features multiple times" doesn't work if "merge connected lines to avoid duplicate labels" is 

active

2014-06-20 01:52 AM - luca76 -

Status: Closed

Priority: Severe/Regression

Assignee: Larry Shaffer

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19053

Description

Hi,

I tested the new qgis 2.4 feature "Label features multiple times" on the attached layer, but it doesn't work.

To test it:

1) Label with field: "desvia" 

2) enable "merge connected lines to avoid duplicate labels" option

3) put any value on "repeat" 

4) no label is repeated (see the road "VIA GIUSEPPE VERDI", for example, that is a long road)

History

#1 - 2014-06-20 01:52 AM - luca76 -

- Priority changed from Normal to Severe/Regression

Putting it to Blocker since it's a new feature of 2.4 that is not working

#2 - 2014-06-20 01:58 AM - Giovanni Manghi

- Subject changed from "Label features multiple times" doesn't work to "Label features multiple times" doesn't work if "merge connected lines to avoid 

duplicate labels" is active

- Category set to Labelling

- Status changed from Open to Feedback

- Affected QGIS version changed from 2.2.0 to master

it works if "merge connected lines to avoid duplicate labels" is not active, make kind of sense to me(?).

#3 - 2014-06-20 02:47 AM - luca76 -

the point is that in the "Visual changelog for 2.4" http://changelog.linfiniti.com/qgis/version/2.4.0/

it states that:

"This also works in combination with the "merge connected lines to avoid duplicate labels" option."
#4 - 2014-06-20 02:50 AM - Giovanni Manghi

- Target version set to Version 2.4

oooh right :)

#5 - 2014-06-21 02:55 PM - Larry Shaffer

- Assignee set to Larry Shaffer

Hi,

This is addressed here: https://github.com/qgis/QGIS/pull/1395

Looking into whether it can be pushed (after reviewing) before 2.4 release.

#6 - 2014-06-21 03:03 PM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2014-06-25 02:13 AM - Andreas Neumann

I would very much appreciate if this patch could be applied. We paid for this feature - so we have an interest that it works properly.

Thanks for reviewing!

Andreas

#8 - 2014-06-25 12:57 PM - Larry Shaffer

Andreas Neumann wrote:

I would very much appreciate if this patch could be applied. We paid for this feature - so we have an interest that it works properly.

I have not heard a 'no' from my question as to whether the pull request can be pushed for 2.4, so I will review it tonight with intentions of pushing it to

current master.

#9 - 2014-06-27 02:03 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

the patch has been merged.
